Skip to main content
GET
/
api
/
fdx
/
5
/
customers
/
current
Get Customers
curl --request GET \
  --url https://ob.flinksapp.com/api/fdx/5/customers/current \
  --header 'Authorization: Bearer <token>'
{
  "customerId": "string",
  "name": {
    "first": "string",
    "middle": "string",
    "last": "string",
    "suffix": "string",
    "prefix": "string",
    "company": "string"
  },
  "dateOfBirth": "string",
  "email": ["string"],
  "addresses": [
    {
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "city": "string",
      "region": "string",
      "postalCode": "string",
      "country": "string",
      "type": "string"
    }
  ],
  "telephones": [
    {
      "type": "string",
      "number": "string",
      "country": "string"
    }
  ],
  "accounts": [
    {
      "accountId": "string",
      "links": {
        "href": "string",
        "action": "string",
        "description": "string"
      },
      "relationship": "string"
    }
  ]
}
Use the /api/fdx/v1/customers/current endpoint to get information about a particular customer in FDX format. To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using:
  • grant_type: authorization_code or refresh_token
  • client_id: {recipient client_id}
  • client_secret: {recipient client_secret}
  • redirect_uri: {recipient redirect_uri}
  • code: {with grant type authorization_code}
  • refresh_token: {with grant type refresh_token}

How to handle an error response

If you receive an error response, refer to the List of Data Access Errors for more information about the error and how to resolve it.

Response is different for each Data Provider

This endpoint returns different fields for each Data Provider. For more information about the fields that each Data Provider supports, review the Data Provider’s details.
{
  "customerId": "string",
  "name": {
    "first": "string",
    "middle": "string",
    "last": "string",
    "suffix": "string",
    "prefix": "string",
    "company": "string"
  },
  "dateOfBirth": "string",
  "email": ["string"],
  "addresses": [
    {
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "city": "string",
      "region": "string",
      "postalCode": "string",
      "country": "string",
      "type": "string"
    }
  ],
  "telephones": [
    {
      "type": "string",
      "number": "string",
      "country": "string"
    }
  ],
  "accounts": [
    {
      "accountId": "string",
      "links": {
        "href": "string",
        "action": "string",
        "description": "string"
      },
      "relationship": "string"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token obtained from the /Token endpoint.

Response

Returned when the customer information is successfully retrieved.

customerId
string

Unique identifier for the customer.

name
object

Customer's name information.

dateOfBirth
string

Customer's date of birth.

email
string[]

List of customer's email addresses.

addresses
object[]

List of customer's addresses.

telephones
object[]

List of customer's telephone numbers.

accounts
object[]

List of accounts associated with the customer.